Package org.apache.tapestry5.jcache.internal

# Class CacheLookupUtil

java.lang.Object
org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>
org.apache.tapestry5.jcache.internal.CacheLookupUtil

All Implemented Interfaces:
  `org.jsr107.ri.annotations.CacheContextSource<MethodInvocation>`

@Singleton public class CacheLookupUtil extends org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>
Adapted to Tapestry-IoC from the Guice implementation in the reference implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheLookupUtil(ObjectLocator objectLocator, javax.cache.annotation.CacheKeyGenerator defaultCacheKeyGenerator, javax.cache.annotation.CacheResolverFactory defaultCacheResolverFactory)`
  Single constructor of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.jsr107.ri.annotations.InternalCacheInvocationContext<? extends Annotation>`
  `createCacheInvocationContextImpl(org.jsr107.ri.annotations.StaticCacheInvocationContext<? extends Annotation> staticCacheInvocationContext, MethodInvocation invocation)`
  `protected org.jsr107.ri.annotations.InternalCacheKeyInvocationContext<? extends Annotation>`
  `createCacheKeyInvocationContextImpl(org.jsr107.ri.annotations.StaticCacheKeyInvocationContext<? extends Annotation> staticCacheKeyInvocationContext, MethodInvocation invocation)`
  `protected javax.cache.annotation.CacheKeyGenerator`
  `getDefaultCacheKeyGenerator()`
  `protected javax.cache.annotation.CacheResolverFactory`
  `getDefaultCacheResolverFactory()`
  `protected Method`
  `getMethod(MethodInvocation invocation)`
  `protected <T> T`
  `getObjectByType(Class<T> type)`
  `protected Class<?>`
  `getTargetClass(MethodInvocation invocation)`

  ### Methods inherited from class org.jsr107.ri.annotations.AbstractCacheLookupUtil

  `createCacheMethodDetails, createCachePutMethodDetails, createCacheRemoveAllMethodDetails, createCacheRemoveEntryMethodDetails, createCacheResultMethodDetails, getAnnotation, getCacheInvocationContext, getCacheKeyGenerator, getCacheKeyInvocationContext, getCacheResolverFactory, getMethodAnnotations, getMethodDetails, getParameterDetails, resolveCacheName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CacheLookupUtil

    public CacheLookupUtil(ObjectLocator objectLocator, javax.cache.annotation.CacheKeyGenerator defaultCacheKeyGenerator, javax.cache.annotation.CacheResolverFactory defaultCacheResolverFactory)
    Single constructor of this class.
    Parameters:
      `defaultCacheKeyGenerator` - the default CacheKeyGenerator
      `defaultCacheResolverFactory` - the default CacheResolverFactory

- ## Method Details

  - ### createCacheKeyInvocationContextImpl

    protected org.jsr107.ri.annotations.InternalCacheKeyInvocationContext<? extends Annotation> createCacheKeyInvocationContextImpl(org.jsr107.ri.annotations.StaticCacheKeyInvocationContext<? extends Annotation> staticCacheKeyInvocationContext, MethodInvocation invocation)
    Specified by:
      `createCacheKeyInvocationContextImpl` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`

  - ### createCacheInvocationContextImpl

    protected org.jsr107.ri.annotations.InternalCacheInvocationContext<? extends Annotation> createCacheInvocationContextImpl(org.jsr107.ri.annotations.StaticCacheInvocationContext<? extends Annotation> staticCacheInvocationContext, MethodInvocation invocation)
    Specified by:
      `createCacheInvocationContextImpl` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`

  - ### getTargetClass

    protected Class<?> getTargetClass(MethodInvocation invocation)
    Specified by:
      `getTargetClass` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`

  - ### getMethod

    protected Method getMethod(MethodInvocation invocation)
    Specified by:
      `getMethod` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`

  - ### getObjectByType

    protected <T> T getObjectByType(Class<T> type)
    Specified by:
      `getObjectByType` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`

  - ### getDefaultCacheKeyGenerator

    protected javax.cache.annotation.CacheKeyGenerator getDefaultCacheKeyGenerator()
    Specified by:
      `getDefaultCacheKeyGenerator` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`

  - ### getDefaultCacheResolverFactory

    protected javax.cache.annotation.CacheResolverFactory getDefaultCacheResolverFactory()
    Specified by:
      `getDefaultCacheResolverFactory` in class `org.jsr107.ri.annotations.AbstractCacheLookupUtil<MethodInvocation>`